> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Pre-auth Verification

Updates an existing AccountVerificationSession object of type `pre_auth`.

> [!NOTE]
>
> Only fields for which the value is `null` or the
> associated `*_check` value is `fail` should be provided
> in the update request.

> [!WARNING]
>
> The Pre-Auth Verification type is restricted to most teams, and requires PCI compliance to access.
> Contact your Method CSM for more information.

## Path Parameters

## Body

## Returns

Returns an AccountVerificationSession object.

```bash cURL theme={null}
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_DjkdemgTQfqRD \
  -X PUT \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "pre_auth": {
      "cvv": "031"
    }
  }'
```

```javascript Node.js theme={null}
const response = await method
  .accounts('acc_yVf3mkzbhz9tj')
  .verificationSessions
  .update('avf_DjkdemgTQfqRD', {
    pre_auth: {
      cvv: '031'
    }
  });
```

```python Python theme={null}
response = method
  .accounts('acc_yVf3mkzbhz9tj')
  .verification_sessions
  .update('avf_DjkdemgTQfqRD', {
    'pre_auth': {
      'cvv': '031'
    }
  })
```

```json theme={null}
{
  "id": "avf_DjkdemgTQfqRD",
  "account_id": "acc_yVf3mkzbhz9tj",
  "status": "verified",
  "error": null,
  "type": "pre_auth",
  "pre_auth": {
    "exp_year": "xxxx",
    "exp_month": "xx",
    "exp_check": "pass",
    "cvv": "xxx",
    "cvv_check": "pass",
    "billing_zip_code": "xxxxx",
    "billing_zip_code_check": "pass",
    "number": "xxxxxxxxxxxxxxxx",
    "pre_auth_check": "pass"
  },
  "created_at": "2024-03-14T02:02:24.862Z",
  "updated_at": "2024-03-14T02:02:24.862Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.